PDA

View Full Version : TUMBLEWEED Aktualisierung fehlgeschlagen wird nach jedem Login angezeigt.



MarioAugustin
05-Oct-2020, 07:41
Hallo zusammen,

ich habe heute Mittag versucht meine Tumbleweed Installation via Gnome Software zu aktualisieren. Nach dem Reboot wurde mir "Updates werden installiert, bitte nicht ausschalten" angezeigt. Ich habe den Vorgang wie strg+alt+entf nach ca. 30 Minuten bei 0 % abgebrochen.
Seitdem wird mir nach jedem Login folgende Fehlermeldung, inklusive Nachricht in der Mitteilungszentrale, von Gnome angezeigt:

https://i.imgur.com/vsG9oOw.png
https://imgur.com/vsG9oOw


Wenn jemand eine Idee hat, wie ich diese störende Meldung beseitigen kann wäre ich sehr dankbar! :-)

Viele Grüße
Mario

hcvv
05-Oct-2020, 07:58
Wenn es um Tumbleweed geht, ist nur

zypper dup
unterstüzt.

malcolmlewis
05-Oct-2020, 07:59
Hallo und willkommen im Forum :)
Verwenden Sie für Tumbleweed nur die Befehlszeile und zypper dup. Die GUI-Tools sind für die Installation in Ordnung, aber nicht für den neuesten Snapshot.

MarioAugustin
05-Oct-2020, 08:10
Ja, es geht um TW. Vielen Dank für diese Information, ich werde diese in Zukunft berücksichtigen.

Bedeutet das, dass ich mein System Neuinstallieren muss um diese Fehlermeldung loszuwerden?

malcolmlewis
05-Oct-2020, 08:15
Ja, es geht um TW. Vielen Dank für diese Information, ich werde diese in Zukunft berücksichtigen.

Bedeutet das, dass ich mein System Neuinstallieren muss um diese Fehlermeldung loszuwerden?
Hallo
Nein, öffnen Sie ein Gnome-Terminal und aktualisieren Sie Ihr System mit;



su -
zypper ref
zypper -vvv dup

hcvv
05-Oct-2020, 08:25
Bedeutet das, dass ich mein System Neuinstallieren muss um diese Fehlermeldung loszuwerden?
Das wäre woll ziemlich übertrieben.

Wie Malcolm sagt.

Sauerland
05-Oct-2020, 08:40
Nur als Info:
In Tumbleweed kann man die Plasmoids zum Updaten installiert lassen und diese nur als Anzeige eines Updates benutzen.
Tumbleweed wird nur mit

zypper dup
upgedatet, alles andere führt über kurz oder lang zu Problemen.

MarioAugustin
06-Oct-2020, 05:06
Vielen Dank für die ganzen Zypperbefehle, leider konnte keiner davon mein das Problem mit der Benachrichtigung beheben. :\

Ich weiß es ist eine Banalität, nichtsdestotrotz stört mich diese Nachricht nach jedem Start zu sehen.

Für weitere Vorschläge bin ich sehr dankbar

Sauerland
06-Oct-2020, 05:17
Als root:

zypper clean -a && rpm --rebuilddb

Ansonsten:
Deinstallieren?

hcvv
06-Oct-2020, 05:21
Leider zeigst du nichts. Das einzige was wir haben ist das Bild oben. Das ist aber nich von zypper dup, das die einzige richtige Arbeitsweise beim Update auf Tumbleweed ist.

Also, bitte zeige mal was da herauskommt mit

zypper dup
Aber ganz: copy/paste einschließlich Befehl, alles was kommt, einschließlich neue Promptzeile. Undas dan zwischen CODE Tags (die bekommt man wenn man auf dem # Knopf drückt).

MarioAugustin
06-Oct-2020, 23:37
Vielen Dank für die Antworten leider besteht das Problem immer noch.

Vielleicht muss ich an dieser Stelle nochmal erwähnen, dass Zypper problemlos funktioniert, auch Updates via zypper dup.



LWSN-AUG-M:/home/mario # zypper dupRepository-Daten werden geladen...
Installierte Pakete werden gelesen...
Warnung: Sie sind im Begriff, eine Distributionsaktualisierung mit allen aktivierten Repositorys durchzuführen. Vergewissern Sie sich, dass diese Repositorys kompatibel sind, bevor Sie fortfahren. Weitere Informationen zu diesem Kommando finden Sie unter 'man zypper'.
Distributions-Aktualisierungen werden verarbeitet...


Keine auszuführenden Aktionen.
LWSN-AUG-M:/home/mario #




Was das "Problem" ist, ich bekomme nach jedem Login folgende Meldung von Gnome:

https://i.imgur.com/MRiI36l.png

Die findet sich auch in der Mitteilungszentrale:
https://i.imgur.com/JoUvS6K.png

und bei einem Klick auf "Details anzeigen" kommt folgendes Fenster:
https://i.imgur.com/miz8b9R.png

Sauerland
07-Oct-2020, 00:02
Da du Tumbleweed benutzt, kannst du ja mal alles mit packagekit im Namen deinstallieren, was ohne! große Abhängigkeitsprobleme zu deinstallieren ist.

hcvv
07-Oct-2020, 00:38
Vielen Dank für die Antworten leider besteht das Problem immer noch.

Vielleicht muss ich an dieser Stelle nochmal erwähnen, dass Zypper problemlos funktioniert, auch Updates via zypper dup.



LWSN-AUG-M:/home/mario # zypper dupRepository-Daten werden geladen...
Installierte Pakete werden gelesen...
Warnung: Sie sind im Begriff, eine Distributionsaktualisierung mit allen aktivierten Repositorys durchzuführen. Vergewissern Sie sich, dass diese Repositorys kompatibel sind, bevor Sie fortfahren. Weitere Informationen zu diesem Kommando finden Sie unter 'man zypper'.
Distributions-Aktualisierungen werden verarbeitet...


Keine auszuführenden Aktionen.
LWSN-AUG-M:/home/mario #




Dank, alles Klar.

Da ich nur zypper/YaST > Software benütze kann ich da weiter wenig helfen. Ausgenommen an zu raten das Gleiche zu tun was Sauerland empfehlt und ich schon immer habe: PackageKit weg vom System.

MarioAugustin
07-Oct-2020, 11:14
Vielen Dank für die ganze Unterstützung, ich habe heute via "Zypper dup" Updates eingespielt und danach war die Meldung verschwunden.

Das Problem kann somit als gelöst betrachtet werden :)

malcolmlewis
07-Oct-2020, 12:24
Hallo

https://forums.opensuse.org/attachment.php?attachmentid=940&stc=1